# Release notes for Calabash-Android 0.8.0

These are the changes introduced in 0.8.0 in comparison to 0.7.3

**Notice** The life cycle of the test-server has changed. You should in general always use the test-server that is shipped with Calabash-Android, but no previous test-server is compatible with this version. Run `bundle exec calabash-android build <apk>` to generate a test-server APK for your application. `calabash-android run/console <apk>` does this automatically.

This release contains a lot of test-server improvements and changes. Not all new test-server features have been exposed in the client yet.

**Add** ability to start the application with a given intent. This can be used to test other paths to your applications like deeplinks or opening the app from a notification. Example usage:

```
start_test_server_in_background(intent: {action: "android.intent.action.VIEW", data: "http://link", package: "my.app"})
```

You should use the same intent that Android uses to start you application

**Add** ability to perform Calabash interactions before starting the actual application. Example usage:

```
# Mock location coordinates before the app is launched
start_test_server_in_background do
	set_gps_coordinates(22,22)
end
```

This feature is still experimental.
 
**Fix** Android N support is now available. Text entry was broken for N.

Since Android N is still in beta, Calabash cannot promise to be fully compatible with N. With this release there are no known N issues, please report then on our Github page.

**Change** The default start intent (main activity or launchable activity) is now detected on the test-server if none is given.

**Fix** Better dependency detection. Calabash-Android now reports with a better error message if Android tooling is not available.

**Improve** view detection. Calabash-Android now always aims to report any visible view, also those not rendered in an active dialogue [Example](https://github.com/calabash/calabash-android/blob/25c382c0f7ac2357c9db5192750cb977c4dafe3d/ruby-gem/api/features/querying.feature#L36)

**Improve** Current activity detection. Previously the current activity might not have been properly detected.

**Improve** Start-up time (ie `start_test_server_in_background` is quicker)

**Add** `set_activity_orientation(orientation)` and `get_activity_orientation` methods exposing the action. Added reverse_portrait and reverse_landscape. get_activity_orientation can now report reverse_portrait and reverse_landscape. Notice that these interactions still are not fully equivalent to a user rotating the physical device.

**Add** Support for latest Crosswalk version

**Change** Location is now being mocked for only the active providers. If a device does not support GPS locations but supports wifi locations, only the wifi provider will be mocked.

**Change** Location mocking now uses the default settings of all providers (cost, accuracy, power requirement etc.)